Update Disabled State for Organizations
curl --request POST \
--url https://api.velt.dev/v2/organizations/access/disablestate/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationIds": [
"<string>"
],
"disabled": true
}
}
'import requests
url = "https://api.velt.dev/v2/organizations/access/disablestate/update"
payload = { "data": {
"organizationIds": ["<string>"],
"disabled": True
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {organizationIds: ['<string>'], disabled: true}})
};
fetch('https://api.velt.dev/v2/organizations/access/disablestate/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Updated disable state for Organization(s) successfully.",
"data": {
"yourOrganizationId": {
"success": true,
"id": "02cf91e5e7a5f4c0b600c84cf248384b",
"message": "Updated disable state for organization Successfully"
}
}
}
}
Organizations
Update Disabled State for Organizations
POST
/
v2
/
organizations
/
access
/
disablestate
/
update
Update Disabled State for Organizations
Use this API to enable or disable both read and write access for all documents for all users.
Let’s say your customer’s trial or subscription has ended and you want to disable their access to the Velt data, you could use this to disable access to the entire organization data.
If organization does not exist, it will be created.
Endpoint
POST https://api.velt.dev/v2/organizations/access/disablestate/update
Headers
Your API key.
Your Auth Token.
Body
Params
Example Requests
{
"data": {
"organizationIds": ["yourOrganizationId1","yourOrganizationId2"],
"disabled": true
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Updated disable state for Organization(s) successfully.",
"data": {
"yourOrganizationId1": {
"success": true,
"id": "02cf91e5e7a5f4c0b600c84cf248384b",
"message": "Updated disable state for organization Successfully"
},
"yourOrganizationId2": {
"success": false,
"id": "44e0132f4c6b0d453f18df42d2263b4e",
"message": "Organization does not exist"
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Updated disable state for Organization(s) successfully.",
"data": {
"yourOrganizationId": {
"success": true,
"id": "02cf91e5e7a5f4c0b600c84cf248384b",
"message": "Updated disable state for organization Successfully"
}
}
}
}
Was this page helpful?
⌘I

